#include "tycho.h"
#include "winmenu.h"
#include "ui_winmenu.h"
#include "ui_winabout.h"

#include <QFileDialog>
#include <iostream>

extern "C" void test_fn(char const *fname);

WinMenu::WinMenu(QWidget *parent) :
   QMainWindow(parent),
   ui(new Ui::WinMenu),
   props(new WinMapProps(this))
{
   ui->setupUi(this);
}

WinMenu::~WinMenu()
{
   dbgPrintFunc();
}

void WinMenu::mapNew()
{
   // TODO
}

void WinMenu::mapOpen()
{
   auto fname =
      QFileDialog::getOpenFileName(
         this,
         tr("Open Map File"),
         QString(),
         tr("Marathon Map files (*.scen *.sceA Map)"));

   test_fn(qUtf8Printable(fname));
}

void WinMenu::openAbout()
{
   QDialog      dlg{this};
   Ui::WinAbout about{};

   about.setupUi(&dlg);

   dlg.exec();
}

void WinMenu::openMapProperties()
{
   props->show();
}

// EOF
