#pragma once

#include "winmapprops.h"

#include <QMainWindow>
#include <memory>

namespace Ui
{
   class WinMenu;
}

class WinMenu : public QMainWindow
{
   Q_OBJECT

public:
   explicit WinMenu(QWidget *parent = nullptr);
   ~WinMenu();

public slots:
   void mapNew();
   void mapOpen();
   void openAbout();
   void openMapProperties();

private:
   std::unique_ptr<Ui::WinMenu> ui;
   WinMapProps *props;
};

// EOF
